## pagekite 0.5.6d

=== Makefile ===
# Makefile for building combined pagekite.py files.
export PYTHONPATH := .

BREED_PAGEKITE = pagekite/__init__.py \
	         pagekite/common.py \
	         pagekite/compat.py \
	         pagekite/logging.py \
	         pagekite/manual.py \
	         pagekite/proto/__init__.py \
	         pagekite/proto/proto.py \
	         pagekite/proto/parsers.py \
	         pagekite/proto/selectables.py \
	         pagekite/proto/filters.py \
	         pagekite/proto/conns.py \
	         pagekite/ui/__init__.py \
	         pagekite/ui/nullui.py \
	         pagekite/ui/basic.py \
	         pagekite/ui/remote.py \
	         pagekite/yamond.py \
	         pagekite/httpd.py \
	         pagekite/pk.py \


combined: pagekite tools doc/MANPAGE.md dev .header
	@./scripts/breeder.py --compress --header .header \
	             sockschain $(BREED_PAGEKITE) \
	             pagekite/__main__.py \
	             >pagekite-tmp.py
	@chmod +x pagekite-tmp.py
	@./scripts/blackbox-test.sh ./pagekite-tmp.py \
	        && ./scripts/blackbox-test.sh ./pagekite-tmp.py --nopyopenssl \
	        && ./scripts/blackbox-test.sh ./pagekite-tmp.py --nossl
	@killall pagekite-tmp.py
	@mv pagekite-tmp.py dist/pagekite-`python setup.py --version`.py
	@ls -l dist/pagekite-*.py

gtk: pagekite tools dev .header
	@./scripts/breeder.py --gtk-images --compress --header .header \
	             sockschain $(BREED_PAGEKITE) gui \
	             pagekite_gtk.py \
	             >pagekite-tmp.py
	@chmod +x pagekite-tmp.py
	@mv pagekite-tmp.py dist/pagekite-gtk-`python setup.py --version`.py
	@ls -l dist/pagekite-*.py

android: pagekite tools .header
	@./scripts/breeder.py --compress --header .header \
	             sockschain $(BREED_PAGEKITE) \
	             pagekite/android.py \
	             >pagekite-tmp.py
	@chmod +x pagekite-tmp.py
	@mv pagekite-tmp.py dist/pk-android-`./pagekite-tmp.py --appver`.py
	@ls -l dist/pk-android-*.py

doc/MANPAGE.md: pagekite pagekite/manual.py
	@./pagekite/manual.py --nopy --markdown >doc/MANPAGE.md

doc/pagekite.1: pagekite pagekite/manual.py
	@./pagekite/manual.py --nopy --man >doc/pagekite.1

dist: combined gtk allrpm android

allrpm: rpm_el4 rpm_el5 rpm_el6-fc13 rpm_fc14-15-16

alldeb: .deb

rpm_fc14-15-16:
	@./rpm/rpm-setup.sh 0pagekite_fc14fc15fc16 /usr/lib/python2.7/site-packages
	@make .rpm

rpm_el4:
	@./rpm/rpm-setup.sh 0pagekite_el4 /usr/lib/python2.3/site-packages
	@make .rpm

rpm_el5:
	@./rpm/rpm-setup.sh 0pagekite_el5 /usr/lib/python2.4/site-packages
	@make .rpm

rpm_el6-fc13:
	@./rpm/rpm-setup.sh 0pagekite_el6fc13 /usr/lib/python2.6/site-packages
	@make .rpm

.rpm: doc/pagekite.1
	@python setup.py bdist_rpm --install=rpm/rpm-install.sh \
	                           --post-install=rpm/rpm-post.sh \
	                           --pre-uninstall=rpm/rpm-preun.sh \
	                           --requires=python-SocksipyChain

VERSION=`python setup.py --version`
.debprep: doc/pagekite.1
	@rm -f setup.cfg
	@sed -e "s/@VERSION@/$(VERSION)/g" \
		< debian/control.in >debian/control
	@sed -e "s/@VERSION@/$(VERSION)/g" \
		< debian/copyright.in >debian/copyright
	@sed -e "s/@VERSION@/$(VERSION)/g" \
	     -e "s/@DATE@/`date -R`/g" \
		< debian/changelog.in >debian/changelog
	@ls -1 doc/*.? >debian/pagekite.manpages
	@ln -fs ../etc/logrotate.d/pagekite.debian debian/pagekite.logrotate
	@ln -fs ../etc/init.d/pagekite.debian debian/init.d

.targz: .debprep
	@python setup.py sdist

.deb: .targz
	@cp -v dist/pagekite*.tar.gz \
		../pagekite-$(VERSION)_$(VERSION).orig.tar.gz
	@debuild -i -us -uc -b
	@mv ../pagekite_*.deb dist/
	@rm ../pagekite-*.orig.tar.gz

.header: pagekite doc/header.txt
	@sed -e "s/@VERSION@/$(VERSION)/g" \
		< doc/header.txt >.header

test: dev
	@./scripts/blackbox-test.sh ./pk
	@./scripts/blackbox-test.sh ./pk --nopyopenssl
	@./scripts/blackbox-test.sh ./pk --nossl

pagekite: pagekite/__init__.py pagekite/httpd.py pagekite/__main__.py

dev: sockschain
	@rm -f .SELF
	@ln -fs . .SELF
	@ln -fs scripts/pagekite_gtk pagekite_gtk.py
	@echo export PYTHONPATH=`pwd`
	@echo export HTTP_PROXY=
	@echo export http_proxy=

sockschain:
	@ln -fs ../PySocksipyChain/sockschain .

tools: scripts/breeder.py Makefile

scripts/breeder.py:
	@ln -fs ../../PyBreeder/breeder.py scripts/breeder.py

distclean: clean
	@rm -rvf dist/*.*

clean:
	@rm -vf sockschain *.pyc */*.pyc */*/*.pyc scripts/breeder.py .SELF
	@rm -vf .appver pagekite-tmp.py MANIFEST setup.cfg pagekite_gtk.py
	@rm -vrf *.egg-info .header doc/pagekite.1 build/
	@rm -vf debian/files debian/control debian/copyright debian/changelog
	@rm -vrf debian/pagekite* debian/python* debian/init.d

=== debian/changelog ===
pagekite (0.5.6d-3) unstable; urgency=low

  * Add debian/watch file to track new upstream versions.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 25 Mar 2014 18:44:16 +0100

pagekite (0.5.6d-2) unstable; urgency=low

  * Reformat package dependencies in debian/control.
  * Add python-setuptools, dh-python and python-socksipychain as build
    dependencies.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 17 Mar 2014 12:46:37 +0100

pagekite (0.5.6d-1) unstable; urgency=low

  [ Sunil Mohan Adapa ]
  * Initial non-native Debian package. RFP/ITP fulfilled (Closes: #610358).
  * Cleanup makefile and rename native debian package to deb directory

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 17 Mar 2014 12:30:09 +0100

=== debian/control ===
Source: pagekite
Section: net
Priority: optional
Maintainer: Sunil Mohan Adapa <sunil@medhas.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>
Build-Depends:
 debhelper (>= 9)
 , python (>= 2.4)
 , python-support (>= 0.8.4)
 , python-setuptools
 , dh-python
 , python-socksipychain
X-Python-Version: >= 2.3, << 3.0
Standards-Version: 3.9.5
Homepage: https://pagekite.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pagekite.git
Vcs-Git: git://anonscm.debian.org/collab-maint/pagekite.git

Package: pagekite
Section: net
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
 , daemon (>= 0.6)
 , python-socksipychain (>= 2.0.12)
 , python-openssl
Description: Make localhost servers publicly visible.
 PageKite is a system for running publicly visible servers (generally
 web servers) on machines without a direct connection to the Internet,
 such as mobile devices or computers behind restrictive firewalls.
 PageKite works around NAT, firewalls and IP-address limitations by
 using a combination of  tunnels and reverse proxies.
 .
 Natively supported protocols: HTTP, HTTPS
 Partially supported protocols: IRC, Finger
 .
 Any other TCP-based service, including SSH and VNC, may be exposed
 as well to clients supporting HTTP Proxies.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_installman:
	make doc/pagekite.1
	dh_installman doc/*.?

# After the basic Python installation, add files for /etc/
override_dh_auto_install:
	PYBUILD_INSTALL_ARGS="--install-lib={install_dir}" dh_auto_install --buildsystem=pybuild
	mkdir -m 755 -p $(CURDIR)/debian/pagekite/etc/pagekite.d/
	install -m 644 $(CURDIR)/etc/pagekite.d/[23456789]* \
                        $(CURDIR)/debian/pagekite/etc/pagekite.d/
	install -m 600 $(CURDIR)/etc/pagekite.d/10* \
                        $(CURDIR)/debian/pagekite/etc/pagekite.d/

## pagekite 0.5.8a

=== Makefile ===
--- 
+++ 
@@ -27,9 +27,10 @@
 	             pagekite/__main__.py \
 	             >pagekite-tmp.py
 	@chmod +x pagekite-tmp.py
-	@./scripts/blackbox-test.sh ./pagekite-tmp.py \
-	        && ./scripts/blackbox-test.sh ./pagekite-tmp.py --nopyopenssl \
-	        && ./scripts/blackbox-test.sh ./pagekite-tmp.py --nossl
+	@./scripts/blackbox-test.sh ./pagekite-tmp.py - \
+	        && ./scripts/blackbox-test.sh ./pagekite-tmp.py - --nopyopenssl \
+	        && ./scripts/blackbox-test.sh ./pagekite-tmp.py - --nossl \
+	        && ./scripts/blackbox-test.sh ./pagekite-tmp.py - --tls_legacy
 	@killall pagekite-tmp.py
 	@mv pagekite-tmp.py dist/pagekite-`python setup.py --version`.py
 	@ls -l dist/pagekite-*.py
@@ -58,7 +59,7 @@
 doc/pagekite.1: pagekite pagekite/manual.py
 	@./pagekite/manual.py --nopy --man >doc/pagekite.1
 
-dist: combined gtk allrpm android
+dist: combined .deb gtk allrpm android
 
 allrpm: rpm_el4 rpm_el5 rpm_el6-fc13 rpm_fc14-15-16
 
@@ -115,9 +116,15 @@
 		< doc/header.txt >.header
 
 test: dev
-	@./scripts/blackbox-test.sh ./pk
-	@./scripts/blackbox-test.sh ./pk --nopyopenssl
-	@./scripts/blackbox-test.sh ./pk --nossl
+	@./scripts/blackbox-test.sh ./pk -
+	@./scripts/blackbox-test.sh ./pk - --nopyopenssl
+	@./scripts/blackbox-test.sh ./pk - --nossl
+	@./scripts/blackbox-test.sh ./pk - --tls_legacy
+	@(for pkb in scripts/legacy-testing/*py; do \
+             ./scripts/blackbox-test.sh $$pkb ./pk --nossl && \
+             ./scripts/blackbox-test.sh $$pkb ./pk || \
+             ./scripts/blackbox-test.sh $$pkb ./pk --tls_legacy \
+          ;done)
 
 pagekite: pagekite/__init__.py pagekite/httpd.py pagekite/__main__.py

=== debian/changelog ===
pagekite (0.5.8a-1) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * New upstream 0.5.8a.
  * Add gbp.conf file to enforce the use of pristine-tar and
    filter out the upstream debian/ directory when importing.
  * Drop version number from generated whatis manual page entry to keep
    lintian happy.
  * Depend on newer python-socksipychain (>= 2.0.15), needed by
    the new upstream.
  * Build-depend on dh-python >= 2.20151103 to get a working
    version.  The version in Debian Jessie is not new enough.

  [ Federico Ceratto ]
  * Switch Vcs fields to HTTPS.
  * Enable verbose build.
  * Remove .egg-info.
  * Add Build-Depends-Indep.

  [ Petter Reinholdtsen ]
  * Make build reproducible (Closes: #795659).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 10 Feb 2016 21:35:52 +0000

pagekite (0.5.6d-4) unstable; urgency=low

  [ Sunil Mohan Adapa ]
  * Migrate to dh-python2 (Closes: #786175).
  * Update standards version to 3.9.6.
  * Add python-openssl as build dependency (Closes: #790271).  Without
    this, code executed during build follows a different path from binary
    execution leading to build-time-only problems.

 -- Federico Ceratto <federico@debian.org>  Sun, 05 Jul 2015 09:47:03 +0100

=== debian/control ===
Source: pagekite
Section: net
Priority: optional
Maintainer: FreedomBox packaging team <freedombox-pkg-team@lists.alioth.debian.org>
Uploaders:
 Sunil Mohan Adapa <sunil@medhas.org>
 , Petter Reinholdtsen <pere@debian.org>
 , Federico Ceratto <federico@debian.org>
Build-Depends: debhelper (>= 9~)
Build-Depends-Indep:
 dh-python (>= 2.20151103)
 , python (>= 2.6.6-3~)
 , python-openssl
 , python-setuptools
 , python-socksipychain
X-Python-Version: >= 2.6
Standards-Version: 3.9.6
Homepage: https://pagekite.net/
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pagekite.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pagekite.git

Package: pagekite
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
 , daemon (>= 0.6)
 , python-socksipychain (>= 2.0.15)
 , python-openssl
Description: Make localhost servers publicly visible
 PageKite is a system for running publicly visible servers (generally
 web servers) on machines without a direct connection to the Internet,
 such as mobile devices or computers behind restrictive firewalls.
 PageKite works around NAT, firewalls and IP-address limitations by
 using a combination of  tunnels and reverse proxies.
 .
 Natively supported protocols: HTTP, HTTPS
 Partially supported protocols: IRC, Finger
 .
 Any other TCP-based service, including SSH and VNC, may be exposed
 as well to clients supporting HTTP Proxies.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DH_VERBOSE=1
 
 %:
 	dh $@ --with python2 --buildsystem=pybuild
@@ -15,3 +17,7 @@
                         $(CURDIR)/debian/pagekite/etc/pagekite.d/
 	install -m 600 $(CURDIR)/etc/pagekite.d/10* \
                         $(CURDIR)/debian/pagekite/etc/pagekite.d/
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf pagekite.egg-info

=== debian/watch ===
version=3
https://pagekite.net/pk/src/pagekite-(.+)\.tar\.gz

## pagekite 0.5.8e

=== debian/changelog ===
pagekite (0.5.8e-2) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * Fix issues with local logging module getting included instead
    of system module due to the way manual.py is invoked
    (Closes: #830287).

  [ Petter Reinholdtsen ]
  * Migrated git repo from single-debian-patch to use individual patches in
    d/patches/.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 12 Sep 2016 10:15:02 +0200

pagekite (0.5.8e-1) unstable; urgency=medium

  * New upstream version 0.5.8e.
  * Updated Standards-Version from 3.9.6 to 3.9.8.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 05 Jul 2016 11:36:39 +0000

pagekite (0.5.8a-4) unstable; urgency=medium

  * Corrected autopkgtest setup, need netcat installed during
    test (Closes: #816853).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Mar 2016 12:53:14 +0100

pagekite (0.5.8a-3) unstable; urgency=medium

  [ James Valleroy ]
  * Fix autopkgtests and enable test-tunnel.

  [ Petter Reinholdtsen ]
  * Added 'Testsuite: autopkgtest' to debian/control to activate
    autopkgtest for package.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 10 Mar 2016 15:13:06 +0100

pagekite (0.5.8a-2) unstable; urgency=medium

  * Reintroduce debian/dirs to make sure deb include required
    directories (Closes: #816471).
  * Added simple autopkgtest script to check the client can run.
  * Added nonworking draft autopkgtest script test-tunnel to test
    a loopback tunnel.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 02 Mar 2016 14:34:41 +0100

## pagekite 0.5.9.0

=== debian/changelog ===
pagekite (0.5.9.0-1) unstable; urgency=medium

  * New upstream release (Closes: #845572)

 -- Federico Ceratto <federico@debian.org>  Sun, 18 Dec 2016 19:58:03 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
  , python-setuptools
  , python-socksipychain
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.6
+Testsuite: autopkgtest
+Standards-Version: 3.9.8
 Homepage: https://pagekite.net/
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pagekite.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/pagekite.git

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,4 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf pagekite.egg-info
+	$(RM) doc/pagekite.1

## pagekite 0.5.9.3

=== Makefile ===
--- 
+++ 
@@ -54,10 +54,10 @@
 	@ls -l dist/pk-android-*.py
 
 doc/MANPAGE.md: pagekite pagekite/manual.py
-	@./pagekite/manual.py --nopy --markdown >doc/MANPAGE.md
+	@python -m pagekite.manual --nopy --markdown >doc/MANPAGE.md
 
 doc/pagekite.1: pagekite pagekite/manual.py
-	@./pagekite/manual.py --nopy --man >doc/pagekite.1
+	@python -m pagekite.manual --nopy --man >doc/pagekite.1
 
 dist: combined .deb gtk allrpm android
 
@@ -88,28 +88,21 @@
 	                           --requires=python-SocksipyChain
 
 VERSION=`python setup.py --version`
-.debprep: doc/pagekite.1
-	@rm -f setup.cfg
-	@sed -e "s/@VERSION@/$(VERSION)/g" \
-		< debian/control.in >debian/control
-	@sed -e "s/@VERSION@/$(VERSION)/g" \
-		< debian/copyright.in >debian/copyright
-	@sed -e "s/@VERSION@/$(VERSION)/g" \
-	     -e "s/@DATE@/`date -R`/g" \
-		< debian/changelog.in >debian/changelog
-	@ls -1 doc/*.? >debian/pagekite.manpages
-	@ln -fs ../etc/logrotate.d/pagekite.debian debian/pagekite.logrotate
-	@ln -fs ../etc/init.d/pagekite.debian debian/init.d
+DEB_VERSION=`head -n1 debian/changelog | sed -e "s+.*(\(.*\)).*+\1+"`
+.debprep:
+	@ln -sf deb debian
+	if [ "x$(VERSION)" != "x$(DEB_VERSION)" ] ; \
+	then \
+	  dch --maintmaint --newversion $(VERSION) --urgency=low \
+              --distribution=unstable "New release." ; \
+	fi
 
-.targz: .debprep
+.targz:
 	@python setup.py sdist
 
-.deb: .targz
-	@cp -v dist/pagekite*.tar.gz \
-		../pagekite-$(VERSION)_$(VERSION).orig.tar.gz
-	@debuild -i -us -uc -b
+.deb: .debprep
+	@debuild -i -us -uc
 	@mv ../pagekite_*.deb dist/
-	@rm ../pagekite-*.orig.tar.gz
 
 .header: pagekite doc/header.txt
 	@sed -e "s/@VERSION@/$(VERSION)/g" \
@@ -151,6 +144,6 @@
 	@rm -vf sockschain *.pyc */*.pyc */*/*.pyc scripts/breeder.py .SELF
 	@rm -vf .appver pagekite-tmp.py MANIFEST setup.cfg pagekite_gtk.py
 	@rm -vrf *.egg-info .header doc/pagekite.1 build/
-	@rm -vf debian/files debian/control debian/copyright debian/changelog
-	@rm -vrf debian/pagekite* debian/python* debian/init.d
+	-debuild clean
+	@-rm debian

=== debian/changelog ===
pagekite (0.5.9.3-2) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * New upstream version 0.5.9.3

  [ Federico Ceratto ]
  * Add systemd service unit file
  * Switch VCS to Salsa

 -- Federico Ceratto <federico@debian.org>  Fri, 30 Mar 2018 15:54:06 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Sunil Mohan Adapa <sunil@medhas.org>
  , Petter Reinholdtsen <pere@debian.org>
  , Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper (>= 9~)
+Build-Depends: debhelper (>= 11~)
 Build-Depends-Indep:
  dh-python (>= 2.20151103)
  , python (>= 2.6.6-3~)
@@ -15,10 +15,10 @@
  , python-socksipychain
 X-Python-Version: >= 2.6
 Testsuite: autopkgtest
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://pagekite.net/
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pagekite.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pagekite.git
+Vcs-Browser: https://salsa.debian.org/freedombox-team/pagekite
+Vcs-Git: https://salsa.debian.org/freedombox-team/pagekite.git
 
 Package: pagekite
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,3 @@
                         $(CURDIR)/debian/pagekite/etc/pagekite.d/
 	install -m 600 $(CURDIR)/etc/pagekite.d/10* \
                         $(CURDIR)/debian/pagekite/etc/pagekite.d/
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf pagekite.egg-info
-	$(RM) doc/pagekite.1

## pagekite 1.5.2.200603

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,14 @@
 # Makefile for building combined pagekite.py files.
 export PYTHONPATH := .
 
-BREED_PAGEKITE = pagekite/__init__.py \
+BREED_PAGEKITE = /usr/lib/python2.7/dist-packages/six.py \
+                 pagekite/__init__.py \
 	         pagekite/common.py \
 	         pagekite/compat.py \
 	         pagekite/logging.py \
 	         pagekite/manual.py \
 	         pagekite/proto/__init__.py \
+	         pagekite/proto/ws_abnf.py \
 	         pagekite/proto/proto.py \
 	         pagekite/proto/parsers.py \
 	         pagekite/proto/selectables.py \
@@ -85,7 +87,8 @@
 	@python setup.py bdist_rpm --install=rpm/rpm-install.sh \
 	                           --post-install=rpm/rpm-post.sh \
 	                           --pre-uninstall=rpm/rpm-preun.sh \
-	                           --requires=python-SocksipyChain
+	                           --requires=python-SocksipyChain \
+	                           --requires=python-six
 
 VERSION=`python setup.py --version`
 DEB_VERSION=`head -n1 debian/changelog | sed -e "s+.*(\(.*\)).*+\1+"`
@@ -141,9 +144,8 @@
 	@rm -rvf dist/*.*
 
 clean:
-	@rm -vf sockschain *.pyc */*.pyc */*/*.pyc scripts/breeder.py .SELF
+	[ -e debian ] && debuild clean || true
+	@rm -vf sockschain *.py[co] */*.py[co] */*/*.py[co] scripts/breeder.py .SELF
 	@rm -vf .appver pagekite-tmp.py MANIFEST setup.cfg pagekite_gtk.py
-	@rm -vrf *.egg-info .header doc/pagekite.1 build/
-	-debuild clean
-	@-rm debian
+	@rm -vrf debian *.egg-info .header doc/pagekite.1 build/

=== debian/changelog ===
pagekite (1.5.2.200603-3) unstable; urgency=medium

  * Regular upload with maintainer's permission.
  * Fix incoming connections using patch from #1004295 (closes: #1006534).

 -- Francois Marier <francois@debian.org>  Thu, 03 Mar 2022 20:57:39 -0800

pagekite (1.5.2.200603-2) unstable; urgency=medium

  * Rebuild

 -- Federico Ceratto <federico@debian.org>  Tue, 16 Jun 2020 18:15:18 +0100

pagekite (1.5.2.200603-1) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * New upstream release. Includes performance fixes.

 -- Federico Ceratto <federico@debian.org>  Tue, 09 Jun 2020 11:09:54 +0100

pagekite (1.5.2.200531-1) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * New upstream release
  * Use Debian certificates instead of internal certificates. Fixes
    TLS failures when connecting to front-end servers due to expired
    certificates. (Closes: #961984)

 -- Federico Ceratto <federico@debian.org>  Tue, 02 Jun 2020 20:10:56 +0100

pagekite (1.5.2.200513-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 31 May 2020 13:27:35 +0100

pagekite (1.5.0.191126-2) unstable; urgency=medium

  [ Sunil Mohan Adapa ]
  * d/patches: Add patches from upstream to fix python 3 support
    (Closes: #950249).
  * d/patches: Add unapplied patches from upstream to fix python 3.8
    support.
  * d/control: Depend on latest version of python3-socksipychain to
    fix its python 3 support.

  [ Federico Ceratto ]
  * Add missing build dependency on dh addon.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

 -- Federico Ceratto <federico@debian.org>  Sat, 30 May 2020 18:20:49 +0100

pagekite (1.5.0.191126-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Remove unnecessary 'Testsuite: autopkgtest' header.

  [ Debian Janitor ]
  * Remove unnecessary X-Python{,3}-Version field in debian/control.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ James Valleroy ]
  * d/postinst: Move rm_conffile lines into maintscript
  * Remove files that get deleted by d/clean
  * d/control: Add Rules-Requires-Root: no
  * d/control: Update Standards-Version to 4.4.1

  [ Federico Ceratto ]
  * New upstream release
  * Drop Python 2 support (Closes: #937230)

 -- Federico Ceratto <federico@debian.org>  Fri, 03 Jan 2020 23:37:29 +0000

=== debian/control ===
--- 
+++ 
@@ -6,26 +6,28 @@
  Sunil Mohan Adapa <sunil@medhas.org>
  , Petter Reinholdtsen <pere@debian.org>
  , Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper (>= 11~)
+Build-Depends: debhelper-compat (= 13),
+ python3:any | python3-all:any | python3-dev:any | python3-all-dev:any | dh-sequence-python3
 Build-Depends-Indep:
  dh-python (>= 2.20151103)
- , python (>= 2.6.6-3~)
- , python-openssl
- , python-setuptools
- , python-socksipychain
-X-Python-Version: >= 2.6
-Testsuite: autopkgtest
-Standards-Version: 4.1.3
+ , python3-all
+ , python3-openssl
+ , python3-setuptools
+ , python3-socksipychain (>= 2.1.0.5.geb5ee87)
+Standards-Version: 4.5.0
 Homepage: https://pagekite.net/
 Vcs-Browser: https://salsa.debian.org/freedombox-team/pagekite
 Vcs-Git: https://salsa.debian.org/freedombox-team/pagekite.git
+Rules-Requires-Root: no
 
 Package: pagekite
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
+ , ca-certificates
  , daemon (>= 0.6)
- , python-socksipychain (>= 2.0.15)
- , python-openssl
+ , python3-socksipychain (>= 2.1.0)
+ , python3-openssl
 Description: Make localhost servers publicly visible
  PageKite is a system for running publicly visible servers (generally
  web servers) on machines without a direct connection to the Internet,

## pagekite 1.5.2.201011

=== Makefile ===
--- 
+++ 
@@ -23,9 +23,9 @@
 	         pagekite/pk.py \
 
 
-combined: pagekite tools doc/MANPAGE.md dev .header
+combined: pagekite tools doc/MANPAGE.md dev .header defaults.cfg
 	@./scripts/breeder.py --compress --header .header \
-	             sockschain $(BREED_PAGEKITE) \
+	             defaults.cfg sockschain $(BREED_PAGEKITE) \
 	             pagekite/__main__.py \
 	             >pagekite-tmp.py
 	@chmod +x pagekite-tmp.py
@@ -37,18 +37,27 @@
 	@mv pagekite-tmp.py dist/pagekite-`python setup.py --version`.py
 	@ls -l dist/pagekite-*.py
 
-gtk: pagekite tools dev .header
+untested: pagekite tools doc/MANPAGE.md dev .header defaults.cfg
+	@./scripts/breeder.py --compress --header .header \
+	             defaults.cfg sockschain $(BREED_PAGEKITE) \
+	             pagekite/__main__.py \
+	             >pagekite-tmp.py
+	@chmod +x pagekite-tmp.py
+	@mv pagekite-tmp.py dist/pagekite-`python setup.py --version`.py
+	@ls -l dist/pagekite-*.py
+
+gtk: pagekite tools dev .header defaults.cfg
 	@./scripts/breeder.py --gtk-images --compress --header .header \
-	             sockschain $(BREED_PAGEKITE) gui \
+	             defaults.cfg sockschain $(BREED_PAGEKITE) gui \
 	             pagekite_gtk.py \
 	             >pagekite-tmp.py
 	@chmod +x pagekite-tmp.py
 	@mv pagekite-tmp.py dist/pagekite-gtk-`python setup.py --version`.py
 	@ls -l dist/pagekite-*.py
 
-android: pagekite tools .header
+android: pagekite tools .header defaults.cfg
 	@./scripts/breeder.py --compress --header .header \
-	             sockschain $(BREED_PAGEKITE) \
+	             defaults.cfg sockschain $(BREED_PAGEKITE) \
 	             pagekite/android.py \
 	             >pagekite-tmp.py
 	@chmod +x pagekite-tmp.py

=== debian/changelog ===
pagekite (1.5.2.201011-4) unstable; urgency=medium

  * d/control: Declare dependency on python3-legacy-cgi (Closes: #1084711).

 -- Sunil Mohan Adapa <sunil@medhas.org>  Wed, 20 Nov 2024 14:47:45 -0800

pagekite (1.5.2.201011-3) unstable; urgency=medium

  * d/patches: Add patch to fix invalid escape sequences
  * d/gbp.conf: Set debian branch to debian/latest
  * d/copyright: Update copyright year

 -- Sunil Mohan Adapa <sunil@medhas.org>  Fri, 16 Aug 2024 14:58:10 -0700

pagekite (1.5.2.201011-2) unstable; urgency=medium

  * Updated patch metadata.
  * Refreshed 0003-fix-incoming-connections.patch.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 28 Feb 2023 06:43:31 +0100

pagekite (1.5.2.201011-1) experimental; urgency=medium

  * New upstream version 1.5.2.201011 (Closes: #1004295).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 17 Feb 2023 15:40:49 +0100

pagekite (1.5.2.200603-4) unstable; urgency=medium

  * Updated Standards-Version from 4.5.0 to 4.6.2.
  * Acknowledge NMU.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 17 Feb 2023 15:22:15 +0100

pagekite (1.5.2.200603-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:34:47 +0200

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
 Build-Depends-Indep:
  dh-python (>= 2.20151103)
  , python3-all
+ , python3-legacy-cgi
  , python3-openssl
  , python3-setuptools
  , python3-socksipychain (>= 2.1.0.5.geb5ee87)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://pagekite.net/
 Vcs-Browser: https://salsa.debian.org/freedombox-team/pagekite
 Vcs-Git: https://salsa.debian.org/freedombox-team/pagekite.git
@@ -26,6 +27,7 @@
 Depends: ${misc:Depends}, ${python3:Depends}
  , ca-certificates
  , daemon (>= 0.6)
+ , python3-legacy-cgi
  , python3-socksipychain (>= 2.1.0)
  , python3-openssl
 Description: Make localhost servers publicly visible

=== debian/tests/control ===
Depends: @, netcat-openbsd
Tests: test-client-running, test-tunnel
Restrictions: needs-root

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/PyPagekite-$1\.tar\.gz/ \
  https://github.com/pagekite/PyPagekite/tags .*/v?(\d\S*)\.tar\.gz
